org.apache.commons.jexl.util.introspection

## Class Info

- java.lang.Object
- - org.apache.commons.jexl.util.introspection.Info

    public class Info
    extends java.lang.Object

Little class to carry in info such as template name, line and column for information error reporting from the uberspector implementations

Version:
  $Id: Info.java 584046 2007-10-12 05:14:37Z proyal $
Author:
  Geir Magnusson Jr.

### Constructor Summary

Constructors
Constructor and Description
`Info(java.lang.String source, int line, int column)`

### Method Summary

Methods
`int` `getColumn()`
`int` `getLine()`
`java.lang.String` `getTemplateName()`
`java.lang.String` `toString()` Formats a textual representation of this object as `SOURCE [line X, column Y]`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Info

    public Info(java.lang.String source,
        int line,
        int column)

Parameters:
  `source` - Usually a template name.
  `line` - The line number from `source`.
  `column` - The column number from `source`.

### Method Detail

#### getTemplateName

    public java.lang.String getTemplateName()

Returns:
  The template name.

#### getLine

    public int getLine()

Returns:
  The line number.

#### getColumn

    public int getColumn()

Returns:
  The column number.

#### toString

    public java.lang.String toString()

Formats a textual representation of this object as `SOURCE [line X, column Y]`.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  String representing this object.